package com.sd.business.entity.purchase.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * E10采购合同bom 导入入参实体
 */
@Getter
@Setter
public class PurchaseBomImportDataDto {
    /**
     * 采购单号
     */
    @ExcelProperty("PURCHASE_ORDER__DOC_NO")
    private String purchaseCode;

    /**
     * bom品号
     */
    @ExcelProperty("ITEM_ID_CODE")
    private String bomSpecCode;

    /**
     * 数量
     */
    @ExcelProperty("BUSINESS_QTY")
    private String quantity;

    /**
     * 含税单价
     */
    @ExcelProperty("DISCOUNTED_PRICE")
    private String unitPrice;

    /**
     * 总金额
     */
    @ExcelProperty("AMOUNT")
    private String totalAmount;

    /**
     * 交付日期
     */
    @ExcelProperty("PLAN_ARRIVAL_DATE")
    private String deliveryDate;
}
